Package org.apache.felix.webconsole.spi

## Interface BrandingPlugin

All Known Subinterfaces:
  `BrandingPlugin`

All Known Implementing Classes:
  `DefaultBrandingPlugin`

    @ConsumerType
    public interface BrandingPlugin

The `BrandingPlugin` is the service interface for the most elaborate way of branding the web console.

Since:
  1.2.0

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getBrandName()` Returns an indicative name of the branding plugin.
`String` `getFavIcon()` Returns the absolute path to an icon to be used as the web console "favicon".
`String` `getMainStyleSheet()` Returns the absolute path to a CSS file to be used as the main CSS for the basic admin site.
`String` `getProductImage()` Returns an absolute path to an image to be rendered as the logo of the branding product.
`String` `getProductName()` Returns the name of the product in which the web console is contained and to which the web console is branded.
`String` `getProductURL()` Returns an (absolute) URL to a web site representing the product to which the web console is branded.
`String` `getVendorImage()` Returns an absolute path to an image to be rendered as the logo of the branding product vendor.
`String` `getVendorName()` Returns the name of the branding product vendor.
`String` `getVendorURL()` Returns an (absolute) URL to the web site of the branding product vendor.

### Method Detail

#### getBrandName

    String getBrandName()

Returns an indicative name of the branding plugin. This value is used as the Window/Page title together with the title of the respective plugin.

Returns:
  the name of the branding plugin

#### getProductName

    String getProductName()

Returns the name of the product in which the web console is contained and to which the web console is branded.

Returns:
  the product name

#### getProductURL

    String getProductURL()

Returns an (absolute) URL to a web site representing the product to which the web console is branded.

Returns:
  the product URL

#### getProductImage

    String getProductImage()

Returns an absolute path to an image to be rendered as the logo of the branding product.

Returns:
  a path to an image - usually the product logo

#### getVendorName

    String getVendorName()

Returns the name of the branding product vendor.

Returns:
  the product vendor

#### getVendorURL

    String getVendorURL()

Returns an (absolute) URL to the web site of the branding product vendor.

Returns:
  the URL of the product vendor

#### getVendorImage

    String getVendorImage()

Returns an absolute path to an image to be rendered as the logo of the branding product vendor.

Returns:
  the company logo

#### getFavIcon

    String getFavIcon()

Returns the absolute path to an icon to be used as the web console "favicon".

Returns:
  path to an image, that is shown as favorite icon in the web browser

#### getMainStyleSheet

    String getMainStyleSheet()

Returns the absolute path to a CSS file to be used as the main CSS for the basic admin site.

Returns:
  a path to a custom CSS. Used to override the default web console styling